Subject: Re: Using 2_4_devel to build a kernel for the 8240

From: Matt Porter <[email-masked]>
Date: Thu, 25 Apr 2002 14:54:18 -0700

On Thu, Apr 25, 2002 at 02:40:11PM -0700, Stephen Noftall wrote:
>
> Hello;
>
> I am using the latest bitkeeper PPC 2_4_devel kernel, and want to configure it
> for the 8240.
>
> When I run menuconfig, I can see "Sandpoint X3" and "8260" selections, but no
> 8240 specific selections.
>
> What options should I select to enable 8240 support? I am guessing "Sandpoint
> X3", is this right? The board is a custom 8240, with Ethernet and SCSI PCI
> chipsets, but no serial or ISA components. We have previously gotten a 2.3.16
> kernel to work on it.

The Processor Type option text for CONFIG_6xx is wrong.  It should say
82xx instead of 8260.  Select 6xx/7xx/74xx/8260 for now since you
have a "classic PPC" core.

Sandpoint is a board.  It does not "enable" 8240 support.  An 8240 is
more or less a 603e + MPC10x bridge for software purposes.  Add
an entry for your custom board and use mpc10x_common.c like other
examples in 2_4_devel.

Regards,
--
Matt Porter
MontaVista Software, Inc.
[email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/